BEGIN ~LK#AMA~

CHAIN 
IF ~
Global("LK#ARDragons", "LK#LAN", 0)
~
THEN LK#ROTH LK#AMA_light
~LK#AMA, it is time! They are here, hidden in shadow- bring forth light to dispel the darkness!~
== LK#AMA ~But Uncle Roth, I can't! I'm not magical, I dunno how to wield a sword! Uncle Roth, I'm scared, please take me back home, this forest is scary-~
== LK#ROTH ~Nonsense, LK#AMA! You must dispel the shadows, and you will! Bring forth the power, my girl! Light shall always triumph over Shadow!~
== LK#AMA ~I-I'm scared, Uncle Roth, please take me back home, I can feel them looking, watching, searching, please, take me back home-~
== LK#AMA ~(Once again Lorel's eyes close and open, with that strange intensity.)~
=
~And you are quite right, my Protector. Shadow is nothing in the presence of light, revealing that which is cloaked and hidden. Come forth, Beasts of Shadow, show yourselves that we may defeat you!~ THEN DO ~SetGlobal("LK#ARDragons", "LK#LAN", 1)
EXIT

//(LK#AMA does spell; 3 Shadow Dragons become visible) ~SetGlobal("LK#ARDragons", "LK#LAN", 2)~

CHAIN 
IF ~
Global("LK#ARDragons", "LK#LAN", 2)
~
THEN LK#AMA Shadow_fight
~The light shall pierce your dark souls, Beasts!~
== LK#ROTH ~LK#AMA, you must destroy them now, they will attack-~
== LK#AMA ~Silence! It is... it is more complicated than that, LK#ROTH. <CHARNAME>, you must weaken them that I may send them back to the vile world they inhabit. I cannot touch them while they remain shielded so; you must break through their defences!~ THEN DO ~SetGlobal("LK#ARDragons", "LK#LAN", 3)~
EXIT

//(Shadow Dragons attack... after one of them is at half health)

CHAIN 
IF ~
Global("LK#ARDragons", "LK#LAN", 4)
~
THEN LK#AMA Shadow_destroy
~So you end, Dragons! The light shall prevail!~

++ ~(Stay silent.)~ DO ~SetGlobal(LK#ARDragons", "LK#LAN", 5)~ EXIT
++ ~Amuana, I can handle them - what're you doing?! Stay back, you might get hurt!~ GOTO PC2
EXIT


IF ~~ THEN BEGIN PC2
SAY ~I can send them back from whence they came, and destroy their physical selves- is this not preferable to more bloodshed? I do not need protection, <CHARNAME>, I can handle myself.~

++ ~Fine, do whatever you need to do, then.~ DO ~SetGlobal(LK#ARDragons", "LK#LAN", 5)~ EXIT
++ ~Violence and bloodshed is the only way for these dragons to die, Amuana! I will kill them myself!~ DO ~SetGlobal(LK#ARDragons", "LK#LAN", 10)~ EXIT 



(LK#AMA casts spell, Dragons melted)

CHAIN
IF ~
Global("LK#ARDragons", "LK#LAN", 6)
~
THEN BEGIN LK#AMA PC1
SAY ~It is done. The dragons are defeated. (She suddenly looks incredibly tired; darkness crowds beneath her eyes.)~

++ ~What... what happened to them?~ THEN GOTO PC1.1

IF ~~ THEN BEGIN LK#AMA PC1.1
SAY ~Their physical bodies were destroyed; all that is left of them physically are these scales. Their spirits were from whence they came.~
=
~And now we must leave you, <CHARNAME>. I will see you soon, if I am correct... until then. Good luck.~ THEN DO ~EscapeArea() SetGlobal("LK#ARQuest", "GLOBAL", 5)~ EXIT
END


IF ~
Global("LK#ARDragons", "LK#LAN", 11)
~
THEN BEGIN LK#AMA PC2
SAY ~It is done, then. We must leave you, <CHARNAME>, though I will see you soon, if I am correct... until then. Good luck.~ THEN DO ~EscapeArea() SetGlobal("LK#ARQuest", "GLOBAL", 5)~ EXIT